diff --git a/src/main/java/net/minecraft/client/gui/GuiIngameDoom.java b/src/main/java/net/minecraft/client/gui/GuiIngameDoom.java
index 8be9ea3fa..9076add53 100644
--- a/src/main/java/net/minecraft/client/gui/GuiIngameDoom.java
+++ b/src/main/java/net/minecraft/client/gui/GuiIngameDoom.java
@@ -69,7 +69,7 @@ public class GuiIngameDoom
         drawStacks();
 
         GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
-        GL11.glBindTexture(3553 /* GL_TEXTURE_2D */, mc.renderEngine.getTexture("/gui/icons.png"));
+        GL11.glBindTexture(3553 /* GL_TEXTURE_2D */, mc.renderEngine.getTexture("/assets/minecraft/textures/gui/icons.png"));
 
         if (mc.gameSettings.immersiveMode.drawCrosshair() && mc.gameSettings.thirdPersonView.value == 0)
         {
@@ -87,7 +87,7 @@ public class GuiIngameDoom
         int height = mc.resolution.scaledHeight;
 
         GL11.glColor4f(1.0f, 1.0f, 1.0f, 1.0f);
-        GL11.glBindTexture(GL11.GL_TEXTURE_2D, mc.renderEngine.getTexture("/gui/doom.png"));
+        GL11.glBindTexture(GL11.GL_TEXTURE_2D, mc.renderEngine.getTexture("/assets/minecraft/textures/gui/doom.png"));
 
         // Draw main hotbar
         drawTexturedModalRect(width / 2 - 197, height - 43, 0, 0, 197, 43);
@@ -155,7 +155,7 @@ public class GuiIngameDoom
     private void drawNumber(int i, int x, int y)
     {
         GL11.glColor4f(1f, 1f, 1f, 1f);
-        GL11.glBindTexture(GL11.GL_TEXTURE_2D, mc.renderEngine.getTexture("/gui/doom.png"));
+        GL11.glBindTexture(GL11.GL_TEXTURE_2D, mc.renderEngine.getTexture("/assets/minecraft/textures/gui/doom.png"));
 
         List<Integer> parts = new ArrayList<>();
 
@@ -207,7 +207,7 @@ public class GuiIngameDoom
     private void drawArmsButton(int x, int y, int number, boolean active)
     {
         GL11.glColor4f(1f, 1f, 1f, 1f);
-        GL11.glBindTexture(GL11.GL_TEXTURE_2D, mc.renderEngine.getTexture("/gui/doom.png"));
+        GL11.glBindTexture(GL11.GL_TEXTURE_2D, mc.renderEngine.getTexture("/assets/minecraft/textures/gui/doom.png"));
 
         int u = 13;
         int v = 196;
@@ -237,7 +237,7 @@ public class GuiIngameDoom
     private void drawHotbarIndicator()
     {
 //        GL11.glColor4f(1f, 1f, 1f, 1f);
-//        GL11.glBindTexture(GL11.GL_TEXTURE_2D, mc.renderEngine.getTexture("/gui/doom.png"));
+//        GL11.glBindTexture(GL11.GL_TEXTURE_2D, mc.renderEngine.getTexture("/assets/minecraft/textures/gui/doom.png"));
 
         int width = mc.resolution.scaledWidth;
         int height = mc.resolution.scaledHeight;
diff --git a/src/main/java/net/minecraft/client/gui/GuiInventory.java b/src/main/java/net/minecraft/client/gui/GuiInventory.java
index 0588d754a..f4924e723 100644
--- a/src/main/java/net/minecraft/client/gui/GuiInventory.java
+++ b/src/main/java/net/minecraft/client/gui/GuiInventory.java
@@ -153,7 +153,7 @@ public class GuiInventory extends GuiContainer
         if(mc.gameSettings.armorProtectionOverlay.value && armorButton.enabled) {
         	drawProtectionOverlay(mouseX, mouseY);
         }
-        int inventoryTex = mc.renderEngine.getTexture("/gui/inventory.png");
+        int inventoryTex = mc.renderEngine.getTexture("/assets/minecraft/textures/gui/inventory.png");
         mc.renderEngine.bindTexture(inventoryTex);
         
         glColor4d(1.0, 1.0, 1.0, 1.0);
@@ -200,7 +200,7 @@ public class GuiInventory extends GuiContainer
         glEnable(GL_BLEND);
         drawGradientRect(x, y, x + w, y + h, protectionOverlayBgColor.getARGB(), protectionOverlayBgColor.getARGB());
 
-        int iconsTex = mc.renderEngine.getTexture("/gui/icons.png");
+        int iconsTex = mc.renderEngine.getTexture("/assets/minecraft/textures/gui/icons.png");
         mc.renderEngine.bindTexture(iconsTex);
         
         glDisable(GL_BLEND);
@@ -258,7 +258,7 @@ public class GuiInventory extends GuiContainer
     @Override
 	protected void drawGuiContainerBackgroundLayer(float f)
     {
-        int inventoryTex = mc.renderEngine.getTexture("/gui/inventory.png");
+        int inventoryTex = mc.renderEngine.getTexture("/assets/minecraft/textures/gui/inventory.png");
         GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
         mc.renderEngine.bindTexture(inventoryTex);
         int j = (width - xSize) / 2;
diff --git a/src/main/java/net/minecraft/client/gui/GuiInventoryCreative.java b/src/main/java/net/minecraft/client/gui/GuiInventoryCreative.java
index 780b5760c..417a77347 100644
--- a/src/main/java/net/minecraft/client/gui/GuiInventoryCreative.java
+++ b/src/main/java/net/minecraft/client/gui/GuiInventoryCreative.java
@@ -167,7 +167,7 @@ public class GuiInventoryCreative extends GuiInventory implements ITextChangeLis
     {
 		scroll(Mouse.getDWheel());
 		
-        int i = mc.renderEngine.getTexture("/gui/creative.png");
+        int i = mc.renderEngine.getTexture("/assets/minecraft/textures/gui/creative.png");
         GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
         mc.renderEngine.bindTexture(i);
         int x = (width - xSize) / 2;
diff --git a/src/main/java/net/minecraft/client/gui/GuiMainMenu.java b/src/main/java/net/minecraft/client/gui/GuiMainMenu.java
index 554d88199..c3e197dc1 100644
--- a/src/main/java/net/minecraft/client/gui/GuiMainMenu.java
+++ b/src/main/java/net/minecraft/client/gui/GuiMainMenu.java
@@ -168,7 +168,7 @@ public class GuiMainMenu extends GuiScreen
         controlList.add(new GuiClickableLabel(5, d, height - 36 - d, i18n.translateKey("gui.main_menu.button.discord"), 0x5865F2));
         controlList.add(new GuiClickableLabel(6, d, height - 24 - d, i18n.translateKey("gui.main_menu.button.minecraft_forum"), 0x63A121));
         controlList.add(new GuiClickableLabel(7, d, height - 12 - d, i18n.translateKey("gui.main_menu.button.youtube"), 0xFF0000));
-        controlList.add(new GuiTexturedButton(8, "/gui/gui.png", width / 2 + 104, i + 72 + 12, 0, 86, 20, 20));
+        controlList.add(new GuiTexturedButton(8, "/assets/minecraft/textures/gui/gui.png", width / 2 + 104, i + 72 + 12, 0, 86, 20, 20));
         GuiButton debugButton = new GuiButton(9, width - 8, height - 8, 8, 8, "");
         debugButton.visible = false;
         controlList.add(debugButton);
diff --git a/src/main/java/net/minecraft/client/gui/GuiMissingMinecraft.java b/src/main/java/net/minecraft/client/gui/GuiMissingMinecraft.java
new file mode 100644
index 000000000..2e8f3621e
--- /dev/null
+++ b/src/main/java/net/minecraft/client/gui/GuiMissingMinecraft.java
@@ -0,0 +1,110 @@
+package net.minecraft.client.gui;
+
+import net.minecraft.client.render.tessalator.TessellatorStandard;
+import net.minecraft.core.lang.I18n;
+import net.minecraft.core.util.helper.MathHelper;
+import org.lwjgl.opengl.GL11;
+
+import java.awt.*;
+import java.net.URI;
+
+public class GuiMissingMinecraft extends GuiScreen{
+    public int ticks = 0;
+    @Override
+    public void init()
+    {
+        I18n i = I18n.getInstance();
+        controlList.clear();
+        String downloadString = i.translateKey("gui.no_minecraft.button.guide");
+        controlList.add(new GuiButton(0, width / 2 - 100, height / 4 + 120 + 12, i.translateKey("gui.no_minecraft.button.quit")));
+        GuiClickableLabel installLabel = new GuiClickableLabel(1, width / 2 - 170, (height / 4 - 60) + 60 + 64, downloadString, 0x7C99EA);
+        controlList.add(installLabel);
+        controlList.add(new GuiClickableLabel(2, 0,  height - fontRenderer.fontHeight - 4, i.translateKey("gui.main_menu.button.discord"), 0x5865F2));
+    }
+    @Override
+    public void drawScreen(int mouseX, int mouseY, float partialTick)
+    {
+        I18n i = I18n.getInstance();
+        drawBackground(partialTick);
+        drawStringCentered(fontRenderer, i.translateKey("gui.no_minecraft.label.title"), width / 2, (height / 4 - 60) + 20, 0xffff60);
+        drawString(fontRenderer, i.translateKey("gui.no_minecraft.label.body.1"), width / 2 - 170, (height / 4 - 60) + 60 + 0, 0xdedede);
+        drawString(fontRenderer, i.translateKey("gui.no_minecraft.label.body.2"), width / 2 - 170, (height / 4 - 60) + 60 + 18, 0xdedede);
+        drawString(fontRenderer, i.translateKey("gui.no_minecraft.label.body.3"), width / 2 - 170, (height / 4 - 60) + 60 + 27, 0xdedede);
+        drawString(fontRenderer, i.translateKey("gui.no_minecraft.label.body.4"), width / 2 - 170, (height / 4 - 60) + 60 + 45, 0xdedede);
+        drawString(fontRenderer, i.translateKey("gui.no_minecraft.label.body.5"), width / 2 - 170, (height / 4 - 60) + 60 + 54, 0xdedede);
+        super.drawScreen(mouseX, mouseY, partialTick);
+    }
+    @Override
+    protected void buttonPressed(GuiButton button)
+    {
+        if(!button.enabled)
+        {
+            return;
+        }
+        if(button.id == 0)
+        {
+            mc.shutdown();
+        }
+        Desktop desktop = Desktop.isDesktopSupported() ? Desktop.getDesktop() : null;
+        if (desktop != null && desktop.isSupported(Desktop.Action.BROWSE))
+        {
+            if (button.id == 1)
+            {
+                try
+                {
+                    desktop.browse(URI.create("https://www.betterthanadventure.net/installation-guide/"));
+                }
+                catch (Exception e)
+                {
+                    e.printStackTrace();
+                }
+            } else if (button.id == 2) {
+                try {
+                    desktop.browse(URI.create("https://betterthanadventure.net/discord"));
+                } catch (Exception e){
+                    e.printStackTrace();
+                }
+            }
+        }
+    }
+    @Override
+    public void tick(){
+        ticks += 1;
+    }
+
+    public void drawBackground(float partialTick)
+    {
+        GL11.glDisable(2896 /*GL_LIGHTING*/);
+        GL11.glDisable(2912 /*GL_FOG*/);
+
+        TessellatorStandard tessellator = TessellatorStandard.instance;
+        GL11.glBindTexture(3553 /*GL_TEXTURE_2D*/, mc.renderEngine.getTexture("/assets/minecraft/textures/block/netherrack_mossy.png"));
+        GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
+        GL11.glEnable(GL11.GL_BLEND);
+
+        // Draw mossy netherrack first
+        float f = 32F;
+        tessellator.startDrawingQuads();
+        tessellator.setColorOpaque_I(0x404040);
+        tessellator.addVertexWithUV(0.0D, height, 0.0D, 0.0D, (float)height / f);
+        tessellator.addVertexWithUV(width, height, 0.0D, (float)width / f, (float)height / f);
+        tessellator.addVertexWithUV(width, 0.0D, 0.0D, (float)width / f, 0);
+        tessellator.addVertexWithUV(0.0D, 0.0D, 0.0D, 0.0D, 0);
+        tessellator.draw();
+
+        GL11.glBindTexture(3553 /*GL_TEXTURE_2D*/, mc.renderEngine.getTexture("/assets/minecraft/textures/block/dirt.png"));
+        GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0f);
+
+        // Then Draw dirt texture
+        tessellator.startDrawingQuads();
+        tessellator.setColorRGBA_F(64/255f, 64/255f, 64/255f, MathHelper.clamp(1f - ((float)ticks + partialTick)/80000f, 0f, 1f)); // Fade from dirt texture to mossy netherrack in the span of 66.6 minutes :)
+        tessellator.addVertexWithUV(0.0D, height, 0.0D, 0.0D, (float)height / f);
+        tessellator.addVertexWithUV(width, height, 0.0D, (float)width / f, (float)height / f);
+        tessellator.addVertexWithUV(width, 0.0D, 0.0D, (float)width / f, 0);
+        tessellator.addVertexWithUV(0.0D, 0.0D, 0.0D, 0.0D, 0);
+        tessellator.draw();
+
+        // Then gradient
+        drawGradientRect(0, 0, width, height, 0x22402020, 0xff501010);
+    }
+}
diff --git a/src/main/java/net/minecraft/client/gui/GuiScreen.java b/src/main/java/net/minecraft/client/gui/GuiScreen.java
index 0643984d7..5dcbbab5f 100644
--- a/src/main/java/net/minecraft/client/gui/GuiScreen.java
+++ b/src/main/java/net/minecraft/client/gui/GuiScreen.java
@@ -183,7 +183,7 @@ public class GuiScreen extends Gui
         GL11.glDisable(2896 /*GL_LIGHTING*/);
         GL11.glDisable(2912 /*GL_FOG*/);
         TessellatorStandard tessellator = TessellatorStandard.instance;
-        GL11.glBindTexture(3553 /*GL_TEXTURE_2D*/, mc.renderEngine.getTexture("/gui/background.png"));
+        GL11.glBindTexture(3553 /*GL_TEXTURE_2D*/, mc.renderEngine.getTexture("/assets/minecraft/textures/gui/background.png"));
         GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
         float f = 32F;
         tessellator.startDrawingQuads();
@@ -199,7 +199,7 @@ public class GuiScreen extends Gui
     	glDisable(GL_DEPTH_TEST);
     	glEnable(GL_BLEND);
     	glColor3d(1.0, 1.0, 1.0);
-    	glBindTexture(GL_TEXTURE_2D, mc.renderEngine.getTexture("/gui/gui.png"));
+    	glBindTexture(GL_TEXTURE_2D, mc.renderEngine.getTexture("/assets/minecraft/textures/gui/gui.png"));
     	drawTexturedModalRect(mc.controllerInput.cursorX - 8, mc.controllerInput.cursorY - 8, 224, 0, 16, 16, 32, 32);
     	glDisable(GL_BLEND);
     }
diff --git a/src/main/java/net/minecraft/client/gui/GuiSlider.java b/src/main/java/net/minecraft/client/gui/GuiSlider.java
index 8eca290df..1d1fe3308 100644
--- a/src/main/java/net/minecraft/client/gui/GuiSlider.java
+++ b/src/main/java/net/minecraft/client/gui/GuiSlider.java
@@ -58,7 +58,7 @@ public class GuiSlider extends GuiButton {
 		boolean mouseOver = mouseX >= xPosition && mouseY >= yPosition && mouseX < xPosition + width && mouseY < yPosition + height;
 		int state = getButtonState(mouseOver);
 
-		GL11.glBindTexture(GL11.GL_TEXTURE_2D, mc.renderEngine.getTexture("/gui/gui.png"));
+		GL11.glBindTexture(GL11.GL_TEXTURE_2D, mc.renderEngine.getTexture("/assets/minecraft/textures/gui/gui.png"));
 		GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
 
 		// Draw background
diff --git a/src/main/java/net/minecraft/client/gui/GuiSliderInteger.java b/src/main/java/net/minecraft/client/gui/GuiSliderInteger.java
index f9f8c4f8f..15796b184 100644
--- a/src/main/java/net/minecraft/client/gui/GuiSliderInteger.java
+++ b/src/main/java/net/minecraft/client/gui/GuiSliderInteger.java
@@ -59,7 +59,7 @@ public class GuiSliderInteger extends GuiButton {
 		boolean mouseOver = mouseX >= xPosition && mouseY >= yPosition && mouseX < xPosition + width && mouseY < yPosition + height;
 		int state = getButtonState(mouseOver);
 
-		GL11.glBindTexture(GL11.GL_TEXTURE_2D, mc.renderEngine.getTexture("/gui/gui.png"));
+		GL11.glBindTexture(GL11.GL_TEXTURE_2D, mc.renderEngine.getTexture("/assets/minecraft/textures/gui/gui.png"));
 		GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
 
 		// Draw background
diff --git a/src/main/java/net/minecraft/client/gui/GuiStats.java b/src/main/java/net/minecraft/client/gui/GuiStats.java
index e9c185198..8008afb06 100644
--- a/src/main/java/net/minecraft/client/gui/GuiStats.java
+++ b/src/main/java/net/minecraft/client/gui/GuiStats.java
@@ -114,7 +114,7 @@ public class GuiStats extends GuiScreen
 
     private void func_27136_c(int i, int j, int k, int l)
     {
-        int i1 = mc.renderEngine.getTexture("/gui/slot.png");
+        int i1 = mc.renderEngine.getTexture("/assets/minecraft/textures/gui/slot.png");
         GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
         mc.renderEngine.bindTexture(i1);
         TessellatorStandard tessellator = TessellatorStandard.instance;
diff --git a/src/main/java/net/minecraft/client/gui/GuiSwitchButton.java b/src/main/java/net/minecraft/client/gui/GuiSwitchButton.java
index b18a7db78..17d69129c 100644
--- a/src/main/java/net/minecraft/client/gui/GuiSwitchButton.java
+++ b/src/main/java/net/minecraft/client/gui/GuiSwitchButton.java
@@ -56,7 +56,7 @@ public class GuiSwitchButton
         int state = getButtonState(mouseOver);
         int xBar = on ? width / 3 : 0;
 
-        GL11.glBindTexture(GL11.GL_TEXTURE_2D, mc.renderEngine.getTexture("/gui/gui.png"));
+        GL11.glBindTexture(GL11.GL_TEXTURE_2D, mc.renderEngine.getTexture("/assets/minecraft/textures/gui/gui.png"));
         GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
 
         // Draw background
diff --git a/src/main/java/net/minecraft/client/gui/GuiTrommel.java b/src/main/java/net/minecraft/client/gui/GuiTrommel.java
index 5553d6c82..793d0f229 100644
--- a/src/main/java/net/minecraft/client/gui/GuiTrommel.java
+++ b/src/main/java/net/minecraft/client/gui/GuiTrommel.java
@@ -30,7 +30,7 @@ public class GuiTrommel extends GuiContainer
     @Override
 	protected void drawGuiContainerBackgroundLayer(float f)
     {
-        int guiTexture = mc.renderEngine.getTexture("/gui/trommel.png");
+        int guiTexture = mc.renderEngine.getTexture("/assets/minecraft/textures/gui/trommel.png");
         GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
         mc.renderEngine.bindTexture(guiTexture);
         int j = (width - xSize) / 2;
diff --git a/src/main/java/net/minecraft/client/gui/ScrolledSelectionList.java b/src/main/java/net/minecraft/client/gui/ScrolledSelectionList.java
index 62c0c649f..21aed2804 100644
--- a/src/main/java/net/minecraft/client/gui/ScrolledSelectionList.java
+++ b/src/main/java/net/minecraft/client/gui/ScrolledSelectionList.java
@@ -155,7 +155,7 @@ public abstract class ScrolledSelectionList {
         GL11.glDisable(2896 /*GL_LIGHTING*/);
         GL11.glDisable(2912 /*GL_FOG*/);
         TessellatorStandard tessellator = TessellatorStandard.instance;
-        GL11.glBindTexture(3553 /*GL_TEXTURE_2D*/, minecraft.renderEngine.getTexture("/gui/background.png"));
+        GL11.glBindTexture(3553 /*GL_TEXTURE_2D*/, minecraft.renderEngine.getTexture("/assets/minecraft/textures/gui/background.png"));
         GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
         float f1 = 32F;
         tessellator.startDrawingQuads();
@@ -267,7 +267,7 @@ public abstract class ScrolledSelectionList {
 
     private void renderHoleBackground(int y0, int y1, int a0, int a1) {
         TessellatorStandard tessellator = TessellatorStandard.instance;
-        GL11.glBindTexture(3553 /*GL_TEXTURE_2D*/, minecraft.renderEngine.getTexture("/gui/background.png"));
+        GL11.glBindTexture(3553 /*GL_TEXTURE_2D*/, minecraft.renderEngine.getTexture("/assets/minecraft/textures/gui/background.png"));
         GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
         float f = 32F;
         tessellator.startDrawingQuads();
diff --git a/src/main/java/net/minecraft/client/gui/createworld/ButtonComponent.java b/src/main/java/net/minecraft/client/gui/createworld/ButtonComponent.java
index 56e9743d3..54ea3feee 100644
--- a/src/main/java/net/minecraft/client/gui/createworld/ButtonComponent.java
+++ b/src/main/java/net/minecraft/client/gui/createworld/ButtonComponent.java
@@ -26,7 +26,7 @@ public abstract class ButtonComponent
     public ButtonComponent(String translationKey)
     {
         this.translationKey = translationKey;
-        this.resetButton = new GuiTexturedButton(0, "/gui/gui.png", 0, 0, 40, 86, 20, 20);
+        this.resetButton = new GuiTexturedButton(0, "/assets/minecraft/textures/gui/gui.png", 0, 0, 40, 86, 20, 20);
     }
 
     public abstract void resetValue();
diff --git a/src/main/java/net/minecraft/client/gui/guidebook/GuiGuidebook.java b/src/main/java/net/minecraft/client/gui/guidebook/GuiGuidebook.java
index e3f226f95..847c4ccd3 100644
--- a/src/main/java/net/minecraft/client/gui/guidebook/GuiGuidebook.java
+++ b/src/main/java/net/minecraft/client/gui/guidebook/GuiGuidebook.java
@@ -376,7 +376,7 @@ public class GuiGuidebook
         int left = width / 2 - xSize / 2 + xOffset;
         int right = width / 2 + xSize / 2 + xOffset;
 
-        mc.renderEngine.bindTexture(mc.renderEngine.getTexture("/gui/guidebook/guidebook.png"));
+        mc.renderEngine.bindTexture(mc.renderEngine.getTexture("/assets/minecraft/textures/gui/guidebook/guidebook.png"));
 
         GL11.glColor4f(1, 1, 1, 1);
         if (pageManager.getLeftPage() != null && pageManager.hasPreviousPage()) {
@@ -435,7 +435,7 @@ public class GuiGuidebook
         public void render(RenderEngine re, FontRenderer fr, int mouseX, int mouseY) {
             boolean mouseOver = mouseOver(mouseX, mouseY);
 
-            re.bindTexture(re.getTexture("/gui/guidebook/guidebook.png"));
+            re.bindTexture(re.getTexture("/assets/minecraft/textures/gui/guidebook/guidebook.png"));
 
             int xo = 16;
             if (mouseOver || active) {
diff --git a/src/main/java/net/minecraft/client/gui/guidebook/GuidebookPage.java b/src/main/java/net/minecraft/client/gui/guidebook/GuidebookPage.java
index 587363aef..796332b4e 100644
--- a/src/main/java/net/minecraft/client/gui/guidebook/GuidebookPage.java
+++ b/src/main/java/net/minecraft/client/gui/guidebook/GuidebookPage.java
@@ -21,7 +21,7 @@ public abstract class GuidebookPage
 
     protected void renderBackground(RenderEngine re, int x, int y) {
         GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
-        re.bindTexture(re.getTexture("/gui/guidebook/guidebook.png"));
+        re.bindTexture(re.getTexture("/assets/minecraft/textures/gui/guidebook/guidebook.png"));
         drawTexturedModalRect(x, y, 0, 0, width, height);
     }
 
diff --git a/src/main/java/net/minecraft/client/gui/guidebook/cover/CoverPage.java b/src/main/java/net/minecraft/client/gui/guidebook/cover/CoverPage.java
index ede4615d5..ee980c743 100644
--- a/src/main/java/net/minecraft/client/gui/guidebook/cover/CoverPage.java
+++ b/src/main/java/net/minecraft/client/gui/guidebook/cover/CoverPage.java
@@ -19,7 +19,7 @@ public class CoverPage
 
     @Override
     public void renderBackground(RenderEngine re, int x, int y) {
-        re.bindTexture(re.getTexture("/gui/guidebook/cover.png"));
+        re.bindTexture(re.getTexture("/assets/minecraft/textures/gui/guidebook/cover.png"));
         drawTexturedModalRect(x, y, 0, 0, 158, 220);
     }
 
diff --git a/src/main/java/net/minecraft/client/gui/guidebook/crafting/CraftingPage.java b/src/main/java/net/minecraft/client/gui/guidebook/crafting/CraftingPage.java
index b3679d733..3c5101454 100644
--- a/src/main/java/net/minecraft/client/gui/guidebook/crafting/CraftingPage.java
+++ b/src/main/java/net/minecraft/client/gui/guidebook/crafting/CraftingPage.java
@@ -3,19 +3,22 @@ package net.minecraft.client.gui.guidebook.crafting;
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.GuiRenderItem;
 import net.minecraft.client.gui.GuiTooltip;
-import net.minecraft.client.gui.guidebook.*;
+import net.minecraft.client.gui.guidebook.GuiGuidebook;
+import net.minecraft.client.gui.guidebook.GuidebookPage;
+import net.minecraft.client.gui.guidebook.GuidebookSection;
+import net.minecraft.client.gui.guidebook.GuidebookSections;
+import net.minecraft.client.gui.guidebook.PageManager;
+import net.minecraft.client.gui.guidebook.RecipePage;
 import net.minecraft.client.gui.guidebook.search.SearchPage;
-import net.minecraft.core.data.registry.recipe.SearchQuery;
 import net.minecraft.client.render.FontRenderer;
 import net.minecraft.client.render.RenderEngine;
 import net.minecraft.core.achievement.AchievementList;
-import net.minecraft.core.achievement.stat.StatList;
+import net.minecraft.core.data.registry.recipe.RecipeSymbol;
+import net.minecraft.core.data.registry.recipe.SearchQuery;
 import net.minecraft.core.data.registry.recipe.entry.RecipeEntryCrafting;
 import net.minecraft.core.data.registry.recipe.entry.RecipeEntryCraftingShaped;
 import net.minecraft.core.data.registry.recipe.entry.RecipeEntryCraftingShapeless;
-import net.minecraft.core.data.registry.recipe.RecipeSymbol;
 import net.minecraft.core.entity.player.EntityPlayer;
-import net.minecraft.core.player.gamemode.Gamemode;
 import net.minecraft.core.player.inventory.slot.Slot;
 import net.minecraft.core.player.inventory.slot.SlotGuidebook;
 import org.lwjgl.input.Keyboard;
@@ -239,11 +242,11 @@ public class CraftingPage
     @Override
     protected void renderBackground(RenderEngine re, int x, int y) {
         super.renderBackground(re, x, y);
-        re.bindTexture(re.getTexture("/gui/crafting.png"));
+        re.bindTexture(re.getTexture("/assets/minecraft/textures/gui/guidebook/guidebook.png"));
         for (int i = 1; i <= recipes.size(); i++) {
             RecipeEntryCrafting<?, ?> recipe = recipes.get(i-1);
             List<SlotGuidebook> list = map.get(recipe);
-            drawTexturedModalRect(x + list.get(list.size()-1).xDisplayPosition - 25, y +  list.get(list.size()-1).yDisplayPosition, 90, 35, 22, 15);
+            drawTexturedModalRect(x + list.get(list.size()-1).xDisplayPosition - 25, y +  list.get(list.size()-1).yDisplayPosition, 234, 0, 22, 15);
         }
     }
 
diff --git a/src/main/java/net/minecraft/client/gui/guidebook/mobs/MobPage.java b/src/main/java/net/minecraft/client/gui/guidebook/mobs/MobPage.java
index 7765d0baa..cd403ce4d 100644
--- a/src/main/java/net/minecraft/client/gui/guidebook/mobs/MobPage.java
+++ b/src/main/java/net/minecraft/client/gui/guidebook/mobs/MobPage.java
@@ -99,7 +99,7 @@ public class MobPage
     @Override
     protected void renderBackground(RenderEngine re, int x, int y) {
         GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
-        re.bindTexture(re.getTexture("/gui/guidebook/mob.png"));
+        re.bindTexture(re.getTexture("/assets/minecraft/textures/gui/guidebook/mob.png"));
         drawTexturedModalRect(x, y, 0, 0, 158, 220);
     }
 
@@ -139,7 +139,7 @@ public class MobPage
                         drawStringNoShadow(fr, i18n.translateKey("guidebook.section.mob.health"), x + 66, yOffset, 0x505050);
                         yOffset += 6;
                         GL11.glColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
-                        GL11.glBindTexture(GL11.GL_TEXTURE_2D, re.getTexture("/gui/icons.png"));
+                        GL11.glBindTexture(GL11.GL_TEXTURE_2D, re.getTexture("/assets/minecraft/textures/gui/icons.png"));
                         yOffset += 4;
                         drawTexturedModalRect(x + 66, yOffset, 16, 0, 9, 9);
                         drawTexturedModalRect(x + 66, yOffset, 52, 0, 9, 9);
@@ -150,7 +150,7 @@ public class MobPage
                         drawStringNoShadow(fr, i18n.translateKey("guidebook.section.mob.health"), x + 66, yOffset, 0x505050);
                         yOffset += 6;
                         GL11.glColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
-                        GL11.glBindTexture(GL11.GL_TEXTURE_2D, re.getTexture("/gui/icons.png"));
+                        GL11.glBindTexture(GL11.GL_TEXTURE_2D, re.getTexture("/assets/minecraft/textures/gui/icons.png"));
                         for (int i = 0; i < mobInfo.getHealth() / 2; i++) {
                             if (i % 10 == 0) {
                                 yOffset += 4;
diff --git a/src/main/java/net/minecraft/client/gui/guidebook/smelting/BlastSmeltingPage.java b/src/main/java/net/minecraft/client/gui/guidebook/smelting/BlastSmeltingPage.java
index ac592bf48..e2fd8bb4c 100644
--- a/src/main/java/net/minecraft/client/gui/guidebook/smelting/BlastSmeltingPage.java
+++ b/src/main/java/net/minecraft/client/gui/guidebook/smelting/BlastSmeltingPage.java
@@ -3,17 +3,20 @@ package net.minecraft.client.gui.guidebook.smelting;
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.GuiRenderItem;
 import net.minecraft.client.gui.GuiTooltip;
-import net.minecraft.client.gui.guidebook.*;
+import net.minecraft.client.gui.guidebook.GuiGuidebook;
+import net.minecraft.client.gui.guidebook.GuidebookPage;
+import net.minecraft.client.gui.guidebook.GuidebookSection;
+import net.minecraft.client.gui.guidebook.GuidebookSections;
+import net.minecraft.client.gui.guidebook.PageManager;
+import net.minecraft.client.gui.guidebook.RecipePage;
 import net.minecraft.client.gui.guidebook.search.SearchPage;
-import net.minecraft.core.data.registry.recipe.SearchQuery;
 import net.minecraft.client.render.FontRenderer;
 import net.minecraft.client.render.RenderEngine;
 import net.minecraft.core.achievement.AchievementList;
-import net.minecraft.core.achievement.stat.StatList;
-import net.minecraft.core.data.registry.recipe.entry.RecipeEntryBlastFurnace;
 import net.minecraft.core.data.registry.recipe.RecipeSymbol;
+import net.minecraft.core.data.registry.recipe.SearchQuery;
+import net.minecraft.core.data.registry.recipe.entry.RecipeEntryBlastFurnace;
 import net.minecraft.core.entity.player.EntityPlayer;
-import net.minecraft.core.player.gamemode.Gamemode;
 import net.minecraft.core.player.inventory.slot.Slot;
 import net.minecraft.core.player.inventory.slot.SlotGuidebook;
 import org.lwjgl.input.Keyboard;
@@ -121,11 +124,11 @@ public class BlastSmeltingPage
     @Override
     protected void renderBackground(RenderEngine re, int x, int y) {
         super.renderBackground(re, x, y);
-        re.bindTexture(re.getTexture("/gui/crafting.png"));
+        re.bindTexture(re.getTexture("/assets/minecraft/textures/gui/guidebook/guidebook.png"));
         for (int i = 1; i <= recipes.size(); i++) {
             RecipeEntryBlastFurnace recipe = recipes.get(i-1);
             List<SlotGuidebook> list = map.get(recipe);
-            drawTexturedModalRect(x + list.get(list.size()-1).xDisplayPosition - 32, y +  list.get(list.size()-1).yDisplayPosition, 90, 35, 22, 15);
+            drawTexturedModalRect(x + list.get(list.size()-1).xDisplayPosition - 32, y +  list.get(list.size()-1).yDisplayPosition, 234, 0, 22, 15);
         }
     }
 
diff --git a/src/main/java/net/minecraft/client/gui/guidebook/smelting/SmeltingPage.java b/src/main/java/net/minecraft/client/gui/guidebook/smelting/SmeltingPage.java
index e4cb5901b..a767038d4 100644
--- a/src/main/java/net/minecraft/client/gui/guidebook/smelting/SmeltingPage.java
+++ b/src/main/java/net/minecraft/client/gui/guidebook/smelting/SmeltingPage.java
@@ -3,17 +3,20 @@ package net.minecraft.client.gui.guidebook.smelting;
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.GuiRenderItem;
 import net.minecraft.client.gui.GuiTooltip;
-import net.minecraft.client.gui.guidebook.*;
+import net.minecraft.client.gui.guidebook.GuiGuidebook;
+import net.minecraft.client.gui.guidebook.GuidebookPage;
+import net.minecraft.client.gui.guidebook.GuidebookSection;
+import net.minecraft.client.gui.guidebook.GuidebookSections;
+import net.minecraft.client.gui.guidebook.PageManager;
+import net.minecraft.client.gui.guidebook.RecipePage;
 import net.minecraft.client.gui.guidebook.search.SearchPage;
-import net.minecraft.core.data.registry.recipe.SearchQuery;
 import net.minecraft.client.render.FontRenderer;
 import net.minecraft.client.render.RenderEngine;
 import net.minecraft.core.achievement.AchievementList;
-import net.minecraft.core.achievement.stat.StatList;
-import net.minecraft.core.data.registry.recipe.entry.RecipeEntryFurnace;
 import net.minecraft.core.data.registry.recipe.RecipeSymbol;
+import net.minecraft.core.data.registry.recipe.SearchQuery;
+import net.minecraft.core.data.registry.recipe.entry.RecipeEntryFurnace;
 import net.minecraft.core.entity.player.EntityPlayer;
-import net.minecraft.core.player.gamemode.Gamemode;
 import net.minecraft.core.player.inventory.slot.Slot;
 import net.minecraft.core.player.inventory.slot.SlotGuidebook;
 import org.lwjgl.input.Keyboard;
@@ -121,11 +124,11 @@ public class SmeltingPage
     @Override
     protected void renderBackground(RenderEngine re, int x, int y) {
         super.renderBackground(re, x, y);
-        re.bindTexture(re.getTexture("/gui/crafting.png"));
+        re.bindTexture(re.getTexture("/assets/minecraft/textures/gui/guidebook/guidebook.png"));
         for (int i = 1; i <= recipes.size(); i++) {
             RecipeEntryFurnace recipe = recipes.get(i-1);
             List<SlotGuidebook> list = map.get(recipe);
-            drawTexturedModalRect(x + list.get(list.size()-1).xDisplayPosition - 32, y +  list.get(list.size()-1).yDisplayPosition, 90, 35, 22, 15);
+            drawTexturedModalRect(x + list.get(list.size()-1).xDisplayPosition - 32, y +  list.get(list.size()-1).yDisplayPosition, 234, 0, 22, 15);
         }
     }
 
